Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 163415 - [67cat] java.util.MissingResourceException: Can't find resource for bundle org.openide.util.NbBundle$PBundle, key AccidentalAssignmentCustomizer.includeWhileCB.text
[67cat] java.util.MissingResourceException: Can't find resource for bundle or...
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomasz Slota
issues@php
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
: SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 16:14 UTC by dancehands
Modified: 2009-07-15 13:33 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.19 KB, text/plain)
2009-04-22 16:14 UTC, dancehands
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dancehands 2009-04-22 16:14:48 UTC
Build: NetBeans IDE Dev (Build 200904220201)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Windows XP, 5.1, x86

User Comments:
GUEST: changing preferences: editor -> hints -> php possible accidental assignment

just clicked on the name to view the description

dancehands: I was browsing through the items in the treeview (clicking each one to read the description) on the Hints page for the PHP language. IE, Click the Tools->Options menu item, then click the Editor toolbar button. Then click the Hints tab. Then I single clicked on each item under the parent Stable node in the treeview. The error occurred while clicking a tree node.



Stacktrace: 
java.util.MissingResourceException: Can't find resource for bundle org.openide.util.NbBundle$PBundle, key AccidentalAssignmentCustomizer.includeWhileCB.text
        at java.util.ResourceBundle.getObject(ResourceBundle.java:0)
        at java.util.ResourceBundle.getString(ResourceBundle.java:0)
        at org.openide.util.NbBundle.getMessage(NbBundle.java:631)
        at org.netbeans.modules.php.editor.verification.AccidentalAssignmentCustomizer.initComponents(AccidentalAssignmentCustomizer.java:78)
        at org.netbeans.modules.php.editor.verification.AccidentalAssignmentCustomizer.<init>(AccidentalAssignmentCustomizer.java:60)
        at org.netbeans.modules.php.editor.verification.AccidentalAssignmentRule.getCustomizer(AccidentalAssignmentRule.java:137)
Comment 1 dancehands 2009-04-22 16:14:58 UTC
Created attachment 80711 [details]
stacktrace
Comment 2 Tomasz Slota 2009-06-15 12:51:38 UTC
reproducible, raising priority to P2
Comment 3 Tomasz Slota 2009-06-15 13:29:59 UTC
Fixed

http://hg.netbeans.org/web-main/rev/46ab690e7c17
Comment 4 Quality Engineering 2009-06-16 06:50:45 UTC
Integrated into 'main-golden', will be available in build *200906160201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/46ab690e7c17
User: Tomasz Slota <tslota@netbeans.org>
Log: #163415: ava.util.MissingResourceException
Comment 5 Filip Zamboj 2009-07-02 14:32:54 UTC
verified 

Product Version: NetBeans IDE Dev (Build 200907020200)
Java: 1.6.0_13; Java HotSpot(TM) 64-Bit Server VM 11.3-b02
Comment 6 pgebauer 2009-07-03 16:09:31 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/36563c2aba45


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo